curl -X POST https://api.paybridgenp.com/v1/billing/subscriptions \
-H "Authorization: Bearer sk_test_your_key" \
-H "Content-Type: application/json" \
-d '{
"customerId": "bcu_01j9x2k3m4n5p6q7r8s9t0u1v2",
"planId": "bpl_01j9x2k3m4n5p6q7r8s9t0u1v2"
}'import requests
url = "https://api.paybridgenp.com/v1/billing/subscriptions"
payload = {
"customerId": "bcu_01j9x2k3m4n5p6q7r8s9t0u1v2",
"planId": "bpl_01j9x2k3m4n5p6q7r8s9t0u1v2",
"startDate": "2023-11-07T05:31:56Z",
"referenceId": "subscription_abc123",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: 'bcu_01j9x2k3m4n5p6q7r8s9t0u1v2',
planId: 'bpl_01j9x2k3m4n5p6q7r8s9t0u1v2',
startDate: '2023-11-07T05:31:56Z',
referenceId: 'subscription_abc123',
metadata: {}
})
};
fetch('https://api.paybridgenp.com/v1/billing/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sub_01j9x2k3m4n5p6q7r8s9t0u1v2",
"object": "subscription",
"status": "incomplete",
"customer_id": "bcu_01j9x2k3m4n5p6q7r8s9t0u1v2",
"plan_id": "bpl_01j9x2k3m4n5p6q7r8s9t0u1v2",
"start_date": "2023-11-07T05:31:56Z",
"current_period_start": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z",
"next_invoice_at": "2023-11-07T05:31:56Z",
"cancel_at_period_end": true,
"canceled_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"trial_ends_at": "2023-11-07T05:31:56Z",
"pause_reason": "<string>",
"cancel_reason": "<string>",
"cancel_effective_at": "2023-11-07T05:31:56Z",
"billing_anchor_day": 123,
"due_days_after_period_start": 123,
"provider_preference": "esewa",
"reference_id": "<string>",
"quantity": 1,
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"external_customer_id": "<string>"
},
"plan": {
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "<string>",
"interval_unit": "<string>",
"interval_count": 123,
"grace_period_days": 123
},
"pending_plan": {
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "<string>",
"interval_unit": "<string>",
"interval_count": 123
},
"latest_invoice": {
"id": "<string>",
"number": "<string>",
"status": "<string>",
"amount_due": 123,
"amount_paid": 123,
"currency": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z"
},
"metadata": {},
"livemode": true
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Create a subscription
Creates a subscription for a customer on a billing plan. PayBridgeNP immediately generates the first invoice and sends a payment link to the customer.
If the plan has trialDays > 0, the subscription starts in trial - no invoice is generated until the trial ends.
curl -X POST https://api.paybridgenp.com/v1/billing/subscriptions \
-H "Authorization: Bearer sk_test_your_key" \
-H "Content-Type: application/json" \
-d '{
"customerId": "bcu_01j9x2k3m4n5p6q7r8s9t0u1v2",
"planId": "bpl_01j9x2k3m4n5p6q7r8s9t0u1v2"
}'import requests
url = "https://api.paybridgenp.com/v1/billing/subscriptions"
payload = {
"customerId": "bcu_01j9x2k3m4n5p6q7r8s9t0u1v2",
"planId": "bpl_01j9x2k3m4n5p6q7r8s9t0u1v2",
"startDate": "2023-11-07T05:31:56Z",
"referenceId": "subscription_abc123",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: 'bcu_01j9x2k3m4n5p6q7r8s9t0u1v2',
planId: 'bpl_01j9x2k3m4n5p6q7r8s9t0u1v2',
startDate: '2023-11-07T05:31:56Z',
referenceId: 'subscription_abc123',
metadata: {}
})
};
fetch('https://api.paybridgenp.com/v1/billing/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sub_01j9x2k3m4n5p6q7r8s9t0u1v2",
"object": "subscription",
"status": "incomplete",
"customer_id": "bcu_01j9x2k3m4n5p6q7r8s9t0u1v2",
"plan_id": "bpl_01j9x2k3m4n5p6q7r8s9t0u1v2",
"start_date": "2023-11-07T05:31:56Z",
"current_period_start": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z",
"next_invoice_at": "2023-11-07T05:31:56Z",
"cancel_at_period_end": true,
"canceled_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"trial_ends_at": "2023-11-07T05:31:56Z",
"pause_reason": "<string>",
"cancel_reason": "<string>",
"cancel_effective_at": "2023-11-07T05:31:56Z",
"billing_anchor_day": 123,
"due_days_after_period_start": 123,
"provider_preference": "esewa",
"reference_id": "<string>",
"quantity": 1,
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"external_customer_id": "<string>"
},
"plan": {
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "<string>",
"interval_unit": "<string>",
"interval_count": 123,
"grace_period_days": 123
},
"pending_plan": {
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "<string>",
"interval_unit": "<string>",
"interval_count": 123
},
"latest_invoice": {
"id": "<string>",
"number": "<string>",
"status": "<string>",
"amount_due": 123,
"amount_paid": 123,
"currency": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z"
},
"metadata": {},
"livemode": true
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Authorizations
Your PayBridgeNP API key. Obtain one from the dashboard under Settings → API Keys. Prefix: sk_test_ for testing, sk_live_ for production.
Body
ID of the billing customer.
"bcu_01j9x2k3m4n5p6q7r8s9t0u1v2"
ID of the billing plan.
"bpl_01j9x2k3m4n5p6q7r8s9t0u1v2"
When to start the subscription. Defaults to now.
Override the plan's defaultProvider for this subscription.
esewa, khalti, fonepay Your internal reference ID.
"subscription_abc123"
Response
Subscription created.
"sub_01j9x2k3m4n5p6q7r8s9t0u1v2"
String representing the object's type.
subscription Merchant-facing status. incomplete until the first invoice is paid (prepaid activation), then active; incomplete_expired if never paid within 24h. draft = future start date; trialing = within a trial window.
incomplete, incomplete_expired, draft, trialing, active, paused, past_due, cancelled, completed "bcu_01j9x2k3m4n5p6q7r8s9t0u1v2"
"bpl_01j9x2k3m4n5p6q7r8s9t0u1v2"
Day-of-month the billing period anchors to, when set.
esewa, khalti, fonepay Your internal reference for this subscription.
Seat/unit count (present on lifecycle responses).
1
Expanded on retrieve; null on lifecycle mutation responses (use customer_id).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Set when a plan change is scheduled for the next period.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Arbitrary key-value pairs you attached.
true when created with a live key, false for sandbox.
Was this page helpful?